Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class ESDO

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.ESDO

All Implemented Interfaces:
  Item

public class ESDO
extends SDO
implements Item

This class is the container for serialized object of SDO.

Field Summary
`String` | `accountName`
`String` | `action`
`String` | `applicationName`
`static TreeMap` | `appsData`
`String` | `contentNbr`
`String` | `fromSystem`
`int` | `hopsRemaining`
`static TreeMap` | `p2pPlugins`
`String` | `password`
`String` | `sessionNo`
`boolean` | `signed`
`int` | `timeout`
`String` | `toSystem`
`String` | `xmlData`

Constructor Summary
`ESDO()`
`ESDO(SDO sdo)` Retrives the schemaClassName and converts the data into XML form

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Evaluates the root object(SDO) returned by getSDO method
`String` | `getAction()` Returns the action defined by this message.
`QSchemaFactory` | `getFactory()` Returns the schema(predefined format of data).
`String` | `getSchemaClassName(QAppPlugin qapp)` Returns the schema name according to the specified applicationName and action.
`SDO` | `getSDO(QAppPlugin qapp)` Creates a QDoc object which holds the object tree build from the XML document held in a String.
`void` | `process(DBSession.Row qSession)`
`String` | `processContent(QAppPlugin qapp)` Processes the contents of the envelope and checks for its validity
`static String` | `schemaClassName(String packageName, String action)` Retrives the schema name according to the specified action.

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appsData

    public static TreeMap appsData

### p2pPlugins

    public static TreeMap p2pPlugins

### xmlData

    public String xmlData

### applicationName

    public String applicationName

### action

    public String action

### sessionNo

    public String sessionNo

### fromSystem

    public String fromSystem

### toSystem

    public String toSystem

### accountName

    public String accountName

### password

    public String password

### contentNbr

    public String contentNbr

### timeout

    public int timeout

### hopsRemaining

    public int hopsRemaining

### signed

    public boolean signed

Constructor Detail

### ESDO

    public ESDO()

### ESDO

    public ESDO(SDO sdo)
         throws SAXException,
                QE,
                QPE,
                ClassNotFoundException,
                InstantiationException,
                IllegalAccessException,
                IOException

  Retrives the schemaClassName and converts the data into XML form

Method Detail

### schemaClassName

    public static String schemaClassName(String packageName,
                                         String action)

  Retrives the schema name according to the specified action.

### getAction

    public String getAction()

  Returns the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### getFactory

    public QSchemaFactory getFactory()

  Returns the schema(predefined format of data).
  Overrides:
    `getFactory` in class `SDO`

### process

    public void process(DBSession.Row qSession)
                 throws Exception

### getSchemaClassName

    public final String getSchemaClassName(QAppPlugin qapp)

  Returns the schema name according to the specified applicationName and action.

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Evaluates the root object(SDO) returned by getSDO method
  Specified by:
    `eval` in interface `Item`
  Overrides:
    `eval` in class `SDO`

### getSDO

    public SDO getSDO(QAppPlugin qapp)
               throws SAXException,
                      IOException,
                      ClassNotFoundException,
                      InstantiationException,
                      IllegalAccessException

  Creates a QDoc object which holds the object tree build from the XML document held in a String.
  Returns:
    the root object(SDO) of the object tree held by the document object.

### processContent

    public String processContent(QAppPlugin qapp)
                          throws Exception

  Processes the contents of the envelope and checks for its validity
  Returns:
    error if the envelope is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD